﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un jeton est ajouté à un code déjà complet.
    /// </summary>
    [Serializable]
    public class CodeCompletException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeCompletException"/>.
        /// </summary>
        private const string messageDefaut = "Le code dans lequel vous essayez d'ajouter un jeton est déjà complet.";

        public CodeCompletException() : base(messageDefaut)
        {}

        public CodeCompletException(string message) : base(message)
        {}

        public CodeCompletException(string message, Exception exception) : base(message, exception)
        {}
    }
}
